Apache Tomcat 7.0.42

## org.apache.tomcat.util.net
Class SocketWrapper<E>

    java.lang.Object
      org.apache.tomcat.util.net.SocketWrapper<E>

Direct Known Subclasses:
  NioEndpoint.KeyAttachment

    public class SocketWrapper<E>

extends Object

Field Summary
`protected boolean` `async`
`protected boolean` `error`
`protected int` `keepAliveLeft`
`protected boolean` `keptAlive`
`protected long` `lastAccess`
`protected long` `lastRegistered`
`protected E` `socket`
`protected long` `timeout`

Constructor Summary
`SocketWrapper(E socket)`

Method Summary
`void` `access()`
`void` `access(long access)`
`int` `decrementKeepAlive()`
`boolean` `getError()`
`long` `getLastAccess()`
`E` `getSocket()`
`long` `getTimeout()`
`boolean` `isAsync()`
`boolean` `isKeptAlive()`
`void` `setAsync(boolean async)`
`void` `setError(boolean error)`
`void` `setKeepAliveLeft(int keepAliveLeft)`
`void` `setKeptAlive(boolean keptAlive)`
`void` `setTimeout(long timeout)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### socket

    protected volatile E socket

### lastAccess

    protected volatile long lastAccess

### timeout

    protected long timeout

### error

    protected boolean error

### lastRegistered

    protected long lastRegistered

### keepAliveLeft

    protected volatile int keepAliveLeft

### async

    protected boolean async

### keptAlive

    protected boolean keptAlive

Constructor Detail

### SocketWrapper

    public SocketWrapper(E socket)

Method Detail

### getSocket

    public E getSocket()

### isAsync

    public boolean isAsync()

### setAsync

    public void setAsync(boolean async)

### getLastAccess

    public long getLastAccess()

### access

    public void access()

### access

    public void access(long access)

### setTimeout

    public void setTimeout(long timeout)

### getTimeout

    public long getTimeout()

### getError

    public boolean getError()

### setError

    public void setError(boolean error)

### setKeepAliveLeft

    public void setKeepAliveLeft(int keepAliveLeft)

### decrementKeepAlive

    public int decrementKeepAlive()

### isKeptAlive

    public boolean isKeptAlive()

### setKeptAlive

    public void setKeptAlive(boolean keptAlive)

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.